Bug 126877 - crash on inserting floating frame
Summary: crash on inserting floating frame
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-08-13 12:17 UTC by Regina Henschel
Modified: 2019-08-19 06:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Error Message (8.11 KB, image/png)
2019-08-13 12:17 UTC, Regina Henschel
Details
bt with debug symbols (9.07 KB, text/plain)
2019-08-13 21:05 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-08-13 12:17:18 UTC
Created attachment 153339 [details]
Error Message

Start Writer or Draw
menu Insert > Frame > Floating Frame or Inser > Floating Frame respectively.
In the dialog enter a name and choose a simple .txt file from you PC as contents. OK.
=> Crash. Image of the error message is attached.
Click OK closes LibreOffice completely. A crash report is not generated.

It is OK in Version: 6.2.5.2 (x64)
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded

and in Version: 6.3.0.0.alpha1+ (x64)
Build ID: 115ab48f86d4e3c6eede49767df1ee5a82b4ab22
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-05-20_17:50:30
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

It crashes in Version: 6.4.0.0.alpha0+ (x64)
Build ID: ed882d693f37779e3a09641e7cd43b7a925d2312
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-25_00:58:18
Locale: de-DE (en_US); UI-Language: en-US
Calc: CL
Comment 1 Xisco Faulí 2019-08-13 13:37:50 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=5043421fdc527d18d18121ec5fe2d4e009c8191a

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-07-19 14:05:10 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-07-19 21:49:20 +0200
commit	5043421fdc527d18d18121ec5fe2d4e009c8191a (patch)
tree	a93584cd705b362d254e509d556a2a9432ee88e5
parent	0f0adc34889ff68da584cea97a9de649174b0333 (diff)
loplugin:referencecasting in embeddedobj

Bisected with: bibisect-linux64-6.4

Adding Cc: to Noel Grandin
Comment 2 Julien Nabet 2019-08-13 21:05:13 UTC
Created attachment 153359 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Commit Notification 2019-08-16 17:36:44 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/23f60bbf283414bae6f649992c18253c9d0ac2ab%5E%21

tdf#126877 crash on inserting floating frame

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-08-19 06:21:48 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: cbe9601e5972ec1c466311e0b148a9fbe8cda4d1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!